Help

1

I got module installation problem, I can't install any module. Help me please?

Avatar
Laura Intan

I got some problem in using openERP, I hope you could help me here..

I uninstalled base kanban module by accidentally, but I've succeeded to install it back.. but my installed project management got uninstalled automatically, and now I can't install it back.. it says : "Constraint Error

You can not have two users with the same login !"

I've been looking for solutions through Google but I don't find any, I really need your help, it's kinda urgent

Thanks,

regards Laura

Avatar
Negeren
3 Antwoorden
1
Beste antwoord

stop the server.

make sure ALL instances of openERP are stopped by typing ps aux | grep openERP

if there are any open instances kill them

Update the database via the command line

/openerp-server -d <your DB name> -u all

start the server again. see if this fixes your problem

4 Opmerkingen
Avatar
Negeren
Avatar
Laura Intan
-

I've tried, seem i got to make a new database.. Thanks for your help anyway :)

Avatar
Shiva Napoleon
-

I too have the same problem after accidentally uninstalling Social Module. Tried updating the database via the command line. Didn't help. Once I uninstalled Social Module, most of the modules except Sales got uinstalled automatically. I think if you hit that point, you should start by installing Address Book, Employee Directory first and then try CRM/Social/Purchase etc. I guess if you re-install any of the main modules without the addressbook, then it keeps throwing the "You cannot have two users with same login" error. \nAnyways, I'm also going to take the new DB route.

Avatar
Shiva Napoleon
-

I think removing Social Module killed everything in one shot. I tried creating a new DB, only to have newer issues (openerp XMLSyntaxError: Opening and ending tag mismatch). Don't know what to do, as a last resolve, I might go and re-install OpenERP again.

Avatar
Rafael Reuber
-

And what if this problem happen on the production environment?

0
Avatar
Tan
Beste antwoord

Error:

Odoo Server Error


Traceback (most recent call last):

  File "C:\Odoo 12.0\server\odoo\tools\convert.py", line 757, in parse

    self._tags[rec.tag](rec, de, mode=mode)

  File "C:\Odoo 12.0\server\odoo\tools\convert.py", line 662, in _tag_record

    record = model.with_context(rec_context)._load_records([data], self.mode == 'update')

  File "C:\Odoo 12.0\server\odoo\models.py", line 3811, in _load_records

    records = self.create([data['values'] for data in to_create])

  File "<decorator-gen-32>", line 2, in create

  File "C:\Odoo 12.0\server\odoo\api.py", line 452, in _model_create_multi

    return create(self, arg)

  File "C:\Odoo 12.0\server\odoo\addons\base\models\ir_ui_view.py", line 425, in create

    return super(View, self).create(vals_list)

  File "<decorator-gen-3>", line 2, in create

  File "C:\Odoo 12.0\server\odoo\api.py", line 452, in _model_create_multi

    return create(self, arg)

  File "C:\Odoo 12.0\server\odoo\models.py", line 3548, in create

    fields[0].determine_inverse(batch_recs)

  File "C:\Odoo 12.0\server\odoo\fields.py", line 1094, in determine_inverse

    getattr(records, self.inverse)()

  File "C:\Odoo 12.0\server\odoo\addons\base\models\ir_ui_view.py", line 275, in _inverse_arch

    view.write(data)

  File "C:\Odoo 12.0\server\odoo\addons\base\models\ir_ui_view.py", line 441, in write

    return super(View, self).write(self._compute_defaults(vals))

  File "C:\Odoo 12.0\server\odoo\models.py", line 3265, in write

    self._write(store_vals)

  File "C:\Odoo 12.0\server\odoo\models.py", line 3409, in _write

    self._validate_fields(vals)

  File "C:\Odoo 12.0\server\odoo\models.py", line 1108, in _validate_fields

    check(self)

  File "C:\Odoo 12.0\server\odoo\addons\base\models\ir_ui_view.py", line 360, in _check_xml

    raise ValidationError(_('Invalid view %s definition in %s') % (view.name, view.arch_fs))

odoo.exceptions.ValidationError: ('Invalid view hr.company.holidays.search definition in False', None)


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "C:\Odoo 12.0\server\odoo\http.py", line 654, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "C:\Odoo 12.0\server\odoo\http.py", line 312, in _handle_exception

    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])

  File "C:\Odoo 12.0\server\odoo\tools\pycompat.py", line 87, in reraise

    raise value

  File "C:\Odoo 12.0\server\odoo\http.py", line 696, in dispatch

    result = self._call_function(**self.params)

  File "C:\Odoo 12.0\server\odoo\http.py", line 344, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "C:\Odoo 12.0\server\odoo\service\model.py", line 97, in wrapper

    return f(dbname, *args, **kwargs)

  File "C:\Odoo 12.0\server\odoo\http.py", line 337, in checked_call

    result = self.endpoint(*a, **kw)

  File "C:\Odoo 12.0\server\odoo\http.py", line 939, in __call__

    return self.method(*args, **kw)

  File "C:\Odoo 12.0\server\odoo\http.py", line 517, in response_wrap

    response = f(*args, **kw)

  File "C:\Odoo 12.0\server\odoo\addons\web\controllers\main.py", line 966, in call_button

    action = self._call_kw(model, method, args, {})

  File "C:\Odoo 12.0\server\odoo\addons\web\controllers\main.py", line 954, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "C:\Odoo 12.0\server\odoo\api.py", line 749, in call_kw

    return _call_kw_multi(method, model, args, kwargs)

  File "C:\Odoo 12.0\server\odoo\api.py", line 736, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-61>", line 2, in button_immediate_install

  File "C:\Odoo 12.0\server\odoo\addons\base\models\ir_module.py", line 71, in check_and_log

    return method(self, *args, **kwargs)

  File "C:\Odoo 12.0\server\odoo\addons\base\models\ir_module.py", line 442, in button_immediate_install

    return self._button_immediate_function(type(self).button_install)

  File "C:\Odoo 12.0\server\odoo\addons\base\models\ir_module.py", line 535, in _button_immediate_function

    modules.registry.Registry.new(self._cr.dbname, update_module=True)

  File "C:\Odoo 12.0\server\odoo\modules\registry.py", line 86, in new

    odoo.modules.load_modules(registry._db, force_demo, status, update_module)

  File "C:\Odoo 12.0\server\odoo\modules\loading.py", line 421, in load_modules

    loaded_modules, update_module, models_to_check)

  File "C:\Odoo 12.0\server\odoo\modules\loading.py", line 313, in load_marked_modules

    perform_checks=perform_checks, models_to_check=models_to_check

  File "C:\Odoo 12.0\server\odoo\modules\loading.py", line 222, in load_module_graph

    load_data(cr, idref, mode, kind='data', package=package, report=report)

  File "C:\Odoo 12.0\server\odoo\modules\loading.py", line 68, in load_data

    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)

  File "C:\Odoo 12.0\server\odoo\tools\convert.py", line 801, in convert_file

    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)

  File "C:\Odoo 12.0\server\odoo\tools\convert.py", line 864, in convert_xml_import

    obj.parse(doc.getroot(), mode=mode)

  File "C:\Odoo 12.0\server\odoo\tools\convert.py", line 754, in parse

    self.parse(rec, mode)

  File "C:\Odoo 12.0\server\odoo\tools\convert.py", line 763, in parse

    exc_info[2]

  File "C:\Odoo 12.0\server\odoo\tools\pycompat.py", line 86, in reraise

    raise value.with_traceback(tb)

  File "C:\Odoo 12.0\server\odoo\tools\convert.py", line 757, in parse

    self._tags[rec.tag](rec, de, mode=mode)

  File "C:\Odoo 12.0\server\odoo\tools\convert.py", line 662, in _tag_record

    record = model.with_context(rec_context)._load_records([data], self.mode == 'update')

  File "C:\Odoo 12.0\server\odoo\models.py", line 3811, in _load_records

    records = self.create([data['values'] for data in to_create])

  File "<decorator-gen-32>", line 2, in create

  File "C:\Odoo 12.0\server\odoo\api.py", line 452, in _model_create_multi

    return create(self, arg)

  File "C:\Odoo 12.0\server\odoo\addons\base\models\ir_ui_view.py", line 425, in create

    return super(View, self).create(vals_list)

  File "<decorator-gen-3>", line 2, in create

  File "C:\Odoo 12.0\server\odoo\api.py", line 452, in _model_create_multi

    return create(self, arg)

  File "C:\Odoo 12.0\server\odoo\models.py", line 3548, in create

    fields[0].determine_inverse(batch_recs)

  File "C:\Odoo 12.0\server\odoo\fields.py", line 1094, in determine_inverse

    getattr(records, self.inverse)()

  File "C:\Odoo 12.0\server\odoo\addons\base\models\ir_ui_view.py", line 275, in _inverse_arch

    view.write(data)

  File "C:\Odoo 12.0\server\odoo\addons\base\models\ir_ui_view.py", line 441, in write

    return super(View, self).write(self._compute_defaults(vals))

  File "C:\Odoo 12.0\server\odoo\models.py", line 3265, in write

    self._write(store_vals)

  File "C:\Odoo 12.0\server\odoo\models.py", line 3409, in _write

    self._validate_fields(vals)

  File "C:\Odoo 12.0\server\odoo\models.py", line 1108, in _validate_fields

    check(self)

  File "C:\Odoo 12.0\server\odoo\addons\base\models\ir_ui_view.py", line 360, in _check_xml

    raise ValidationError(_('Invalid view %s definition in %s') % (view.name, view.arch_fs))

odoo.tools.convert.ParseError: "Invalid view hr.company.holidays.search definition in False

None" while parsing file:/c:/odoo 12.0/server/odoo/addons/hr_company_holidays/views/hr_company_holidays_view.xml:37, near

<record model="ir.ui.view" id="hr_company_holidays_search">

            <field name="name">hr.company.holidays.search</field>

            <field name="model">hr.company.holidays</field>

            <field name="type">search</field>

            <field name="arch" type="xml">

                <search string="Search Holidays by">

                   <group colspan="4">

                      <filter string="Holidays this month" name="current_month" domain="[('month','=',((context_today()).strftime('%%m')))]"/>

                      <filter string="Holidays this year" name="current_year" domain="[('year','=',((context_today()).strftime('%%Y')))]"/>

                   </group>

                   <newline/>

                   <group expand="0" string="Group By..." colspan="4" col="20">

                      <filter string="Month" icon="terp-go-year" domain="[]" context="{'group_by':'month'}"/>

                      <filter string="Year" icon="terp-go-year" domain="[]" context="{'group_by':'year'}"/>

                      <filter string="Category" icon="terp-go-year" domain="[]" context="{'group_by':'category_id'}"/>

                   </group>

                </search>

            </field>

        </record>

1 Opmerking
Avatar
Negeren
Avatar
Tan
-

Please help to check.

0
Avatar
Duy
Beste antwoord

The best way you should drop database, create new and install all again.

3 Opmerkingen
Avatar
Negeren
Avatar
Laura Intan
-

I've made some customisation, is there any way to copy the custom table to a new database?

Is there other way to fix it?

Thanks

Avatar
hiren
-

This answer assumes the database can be dropped without loosing useful data, if the db has important data, dropping is not an option, this answer is useless in that case.

Avatar
Laura Intan
-

Seem i got to drop my current db. I can't find another solutions for my problem. thanks for your help